Bug 23433

Summary: Make consistent use of patron-title.inc in hold confirmation dialogs
Product: Koha Reporter: Owen Leonard <oleonard>
Component: TemplatesAssignee: Owen Leonard <oleonard>
Status: Pushed to master --- QA Contact: Testopia <testopia>
Severity: minor    
Priority: P5 - low CC: black23, joy, katrin.fischer, lucas, sally.healey
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
20.05.00
Bug Depends on: 23434    
Bug Blocks:    
Attachments: Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs
Bug 23433: (RM follow-up) One last consistency improvement

Description Owen Leonard 2019-08-05 18:06:49 UTC
We have inconsistent use of patron-title.inc in returns.tt. Sometimes it is used and sometimes it isn't. Where it was added it seems to have reversed the display of patron surname and first name: Previously last, first; now first last.

All uses of patron-title.inc in this situation should be consistent.
Comment 1 Owen Leonard 2019-08-06 16:12:46 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2019-12-05 21:34:06 UTC
Owen, I can no longer cleanly apply this patch to master. If you can rebase it, I will attempt to sign off
Comment 3 Owen Leonard 2020-03-06 15:47:54 UTC Comment hidden (obsolete)
Comment 4 Lucas Gass 2020-03-16 23:37:37 UTC
I guess returns.tt is a moving target, sadly this again doesn't apply cleanly. :(
Comment 5 Owen Leonard 2020-03-17 16:00:40 UTC Comment hidden (obsolete)
Comment 6 Lucas Gass 2020-03-17 21:03:13 UTC
These all display the name as (surname, firstname) except when I turn on HoldsAutoFill. It then displays (firstname, surname). Not sure if that matters but wanted to point that out before signing off.
Comment 7 Sally 2020-03-26 14:29:45 UTC
Yes, I get the same.

When HoldsAutoFill is enabled, the 'hold-found1' modal isn't launched.

Instead, it's 'dialog alert hold-auto-filled' - and this patch doesn't seem to update that part of returns.tt  

Once that's done, it'll work perfectly. :)
Comment 8 Owen Leonard 2020-04-30 12:18:13 UTC
Created attachment 104028 [details] [review]
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs

Use of patron-title.inc on the checkin page is inconsistent, resulting
in patron names being displayed differently under different
circumstances. This patch makes it more consistent.

To test, apply the patch and check in items with the following statuses:

 - On hold for a patron at your library
 - On hold for a patron not at your library
 - On hold and already marked 'Waiting'
 - On hold while HoldsAutoFill preference is enabled
 - An item which has been marked with a LOST status in the
   'ClaimReturnedLostValue' system preference.
 - An item which was checked out to a manually-restricted patron and
   checked in with a back-dated checkin date. See test plan on Bug
   24776.
Comment 9 Owen Leonard 2020-04-30 12:24:58 UTC
Thanks to all who tested. I corrected two more sections of the template with the standard configuration of the include.

(In reply to Sally from comment #7)

> When HoldsAutoFill is enabled, the 'hold-found1' modal isn't launched.

I think this is the correct behavior, because HoldsAutoFill is supposed to minimally interrupt the workflow.
Comment 10 Sally 2020-04-30 12:29:10 UTC
(In reply to Owen Leonard from comment #9)
> Thanks to all who tested. I corrected two more sections of the template with
> the standard configuration of the include.
> 
> (In reply to Sally from comment #7)
> 
> > When HoldsAutoFill is enabled, the 'hold-found1' modal isn't launched.
> 
> I think this is the correct behavior, because HoldsAutoFill is supposed to
> minimally interrupt the workflow.

It's the right behaviour, I agree - I was just trying to explain what I noticed when the patch didn't work so it would be (hopefully!) easier to identify and fix.  :)
Comment 11 PTFS Europe Sandboxes 2020-05-01 14:22:58 UTC
Created attachment 104105 [details] [review]
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs

Use of patron-title.inc on the checkin page is inconsistent, resulting
in patron names being displayed differently under different
circumstances. This patch makes it more consistent.

To test, apply the patch and check in items with the following statuses:

 - On hold for a patron at your library
 - On hold for a patron not at your library
 - On hold and already marked 'Waiting'
 - On hold while HoldsAutoFill preference is enabled
 - An item which has been marked with a LOST status in the
   'ClaimReturnedLostValue' system preference.
 - An item which was checked out to a manually-restricted patron and
   checked in with a back-dated checkin date. See test plan on Bug
   24776.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 12 Sally 2020-05-01 14:23:35 UTC
Works great, thanks Owen.
Comment 13 Katrin Fischer 2020-05-01 15:20:05 UTC
Created attachment 104114 [details] [review]
Bug 23433: Make consistent use of patron-title.inc in hold confirmation dialogs

Use of patron-title.inc on the checkin page is inconsistent, resulting
in patron names being displayed differently under different
circumstances. This patch makes it more consistent.

To test, apply the patch and check in items with the following statuses:

 - On hold for a patron at your library
 - On hold for a patron not at your library
 - On hold and already marked 'Waiting'
 - On hold while HoldsAutoFill preference is enabled
 - An item which has been marked with a LOST status in the
   'ClaimReturnedLostValue' system preference.
 - An item which was checked out to a manually-restricted patron and
   checked in with a back-dated checkin date. See test plan on Bug
   24776.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2020-05-01 15:20:17 UTC
Thx Owen and Sally!
Comment 15 Martin Renvoize 2020-05-04 06:41:40 UTC
Created attachment 104251 [details] [review]
Bug 23433: (RM follow-up) One last consistency improvement

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2020-05-04 07:42:06 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 17 Joy Nelson 2020-05-08 22:57:49 UTC
doesn't apply cleanly to 19.11.x  please rebase if needed.